Cloudera Manager and CDH Requirements

Cloudera Data Science Workbench is supported on several versions of CDH and Cloudera Manager.

Cloudera Data Science Workbench is supported on the following versions of CDH and Cloudera Manager:
Type CDH Cloudera Manager
CSD Deployments
  • CDH 5.10 or higher
  • CDH 6.1.x or higher
  • Cloudera Runtime Data Center 7.0.3 or higher
  • Cloudera Manager 5.13 or higher
  • Cloudera Manager 6.1.x or higher
  • Cloudera Manager Data Center 7.0.3 or higher
RPM Deployments
  • CDH 5.10 or higher
  • CDH 6.1.x or higher
  • Cloudera Manager 5.11 or higher
  • Cloudera Manager 6.1.x or higher

All cluster hosts must be managed by Cloudera Manager. Note that all Cloudera Data Science Workbench administrative tasks require root access to the cluster's gateway hosts where Cloudera Data Science Workbench is installed. Therefore, Cloudera Data Science Workbench does not support single-user mode installations.

Apache Spark Requirements

CDH Version Spark 2 Compatibility
CDH 5

CDS 2.1.x Powered by Apache Spark (and higher)

CDH 6

On CDH 6 clusters, Apache Spark 2 is packaged with CDH and can no longer be installed separately.

To find out which version of Spark 2 ships with your version of CDH 6, refer the CDH 6 Packaging Information guide.

Cloudera Runtime 7

On Cloudera Runtime clusters, Apache Spark 2 is packaged with Cloudera Runtime and can no longer be installed separately.

To find out which version of Spark 2 ships with your version of Cloudera Runtime, refer the Cloudera Runtime Component Versions guide.